# Uses of Class
xg.Validator.EnumValidatorOptions

Packages that use Validator.EnumValidatorOptions
Package
Description
xg

## Uses of Validator.EnumValidatorOptions in xg

Fields in xg with type parameters of type Validator.EnumValidatorOptions
Modifier and Type
Field
Description
`static final GeneratedMessage.GeneratedExtension<DescriptorProtos.EnumOptions,Validator.EnumValidatorOptions>`
Validator.`enumValidator`
`extend .google.protobuf.EnumOptions { ...`
`static final Parser<Validator.EnumValidatorOptions>`
Validator.EnumValidatorOptions.`PARSER`
Deprecated.
Methods in xg that return Validator.EnumValidatorOptions
Modifier and Type
Method
Description
`Validator.EnumValidatorOptions`
Validator.EnumValidatorOptions.Builder.`build()`
`Validator.EnumValidatorOptions`
Validator.EnumValidatorOptions.Builder.`buildPartial()`
`static Validator.EnumValidatorOptions`
Validator.EnumValidatorOptions.`getDefaultInstance()`
`Validator.EnumValidatorOptions`
Validator.EnumValidatorOptions.Builder.`getDefaultInstanceForType()`
`Validator.EnumValidatorOptions`
Validator.EnumValidatorOptions.`getDefaultInstanceForType()`
`static Validator.EnumValidatorOptions`
Validator.EnumValidatorOptions.`parseDelimitedFrom(InputStream input)`
`static Validator.EnumValidatorOptions`
Validator.EnumValidatorOptions.`parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static Validator.EnumValidatorOptions`
Validator.EnumValidatorOptions.`parseFrom(byte[] data)`
`static Validator.EnumValidatorOptions`
Validator.EnumValidatorOptions.`parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
`static Validator.EnumValidatorOptions`
Validator.EnumValidatorOptions.`parseFrom(ByteString data)`
`static Validator.EnumValidatorOptions`
Validator.EnumValidatorOptions.`parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
`static Validator.EnumValidatorOptions`
Validator.EnumValidatorOptions.`parseFrom(CodedInputStream input)`
`static Validator.EnumValidatorOptions`
Validator.EnumValidatorOptions.`parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`static Validator.EnumValidatorOptions`
Validator.EnumValidatorOptions.`parseFrom(InputStream input)`
`static Validator.EnumValidatorOptions`
Validator.EnumValidatorOptions.`parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static Validator.EnumValidatorOptions`
Validator.EnumValidatorOptions.`parseFrom(ByteBuffer data)`
`static Validator.EnumValidatorOptions`
Validator.EnumValidatorOptions.`parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
Methods in xg that return types with arguments of type Validator.EnumValidatorOptions
Modifier and Type
Method
Description
`Parser<Validator.EnumValidatorOptions>`
Validator.EnumValidatorOptions.`getParserForType()`
`static Parser<Validator.EnumValidatorOptions>`
Validator.EnumValidatorOptions.`parser()`
Methods in xg with parameters of type Validator.EnumValidatorOptions
Modifier and Type
Method
Description
`Validator.EnumValidatorOptions.Builder`
Validator.EnumValidatorOptions.Builder.`mergeFrom(Validator.EnumValidatorOptions other)`
`static Validator.EnumValidatorOptions.Builder`
Validator.EnumValidatorOptions.`newBuilder(Validator.EnumValidatorOptions prototype)`